org.apache.struts2.dispatcher

## Class ExecuteOperations

- java.lang.Object
- - org.apache.struts2.dispatcher.ExecuteOperations

-     public class ExecuteOperations
      extends Object

  Contains execution operations for filters

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExecuteOperations(Dispatcher dispatcher)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `executeAction(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, ActionMapping mapping)` Executes an action
    `boolean` | `executeStaticResourceRequest(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Tries to execute a request for a static resource

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExecuteOperations

          public ExecuteOperations(Dispatcher dispatcher)

  - ### Method Detail

    - #### executeStaticResourceRequest

          public boolean executeStaticResourceRequest(javax.servlet.http.HttpServletRequest request,
                                                      javax.servlet.http.HttpServletResponse response)
                                               throws IOException,
                                                      javax.servlet.ServletException

      Tries to execute a request for a static resource
      Parameters:
        `request` - servlet request
        `response` - servlet response
      Returns:
        True if it was handled, false if the filter should fall through
      Throws:
        `IOException` - on any io error
        `javax.servlet.ServletException` - on any servlet related error

    - #### executeAction

          public void executeAction(javax.servlet.http.HttpServletRequest request,
                                    javax.servlet.http.HttpServletResponse response,
                                    ActionMapping mapping)
                             throws javax.servlet.ServletException

      Executes an action
      Parameters:
        `request` - servlet request
        `response` - servlet response
        `mapping` - action mapping
      Throws:
        `javax.servlet.ServletException` - on any servlet related error

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.